Package org.apache.sling.commons.json.http

# Class HTTPTokener

java.lang.Object
org.apache.sling.commons.json.JSONTokener
org.apache.sling.commons.json.http.HTTPTokener

@Deprecated public class HTTPTokener extends JSONTokener
Deprecated.
The HTTPTokener extends the JSONTokener to provide additional methods for the parsing of HTTP headers.

Version:
  2015-12-09
Author:
  JSON.org

## Constructor Summary

Constructors
Constructor
Description
`HTTPTokener(String string)`
Deprecated.
Construct an HTTPTokener from a string.

## Method Summary

Modifier and Type
Method
Description
`String`
`nextToken()`
Deprecated.
Get the next token or string.

### Methods inherited from class org.apache.sling.commons.json.JSONTokener

`back, close, dehexchar, end, getPrevious, more, next, next, next, nextClean, nextString, nextTo, nextTo, nextValue, skipPast, skipTo, syntaxError, syntaxError, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HTTPTokener

public HTTPTokener(String string)
Deprecated.
Construct an HTTPTokener from a string.

Parameters:
  `string` - A source string.

## Method Details

### nextToken

public String nextToken() throws JSONException
Deprecated.
Get the next token or string. This is used in parsing HTTP headers.

Returns:
  A String.
Throws:
  `JSONException` - if a syntax error occurs